import java.net.URL;
import java.awt.*;
import javax.swing.*;

/** 
 * Sotto-classe di PannelloInfo, realizza il pannello che sara'
 * collocato al centro della finestra per la creazione di un 
 * nuovo abbonato. I tre bottoni radio sono mutuamente esclusivi.
 * Ha i bottoni aggiuntivi "salva" e "azzera" (da aggiungere
 * poi alla finestra in cui sara' messo il pannello).
 */
public class PannelloNuovo extends PannelloInfo
{
  /** Bottone per salvare l'abbonato nel data base. */
  JButton btSalva;
  /** Bottone per cancellare tutti i campi. */
  JButton btAzzera;

  // Costruttore
  
  /** Come nella super-classe ma rende mutuamente esclusivi 
   * i tre bottoni radio, e crea i due bottoni salva e azzera. */
  public PannelloNuovo()
  {
    super(); 
    // rende mutuamente esclusivi i tre bottoni radio
    ButtonGroup bg = new ButtonGroup();
    bg.add(btOrdinario);
    bg.add(btStudenti);
    bg.add(btAnziani);

    btSalva = new JButton("salva");
    btAzzera = new JButton("azzera");
  }
  
}

