import java.net.URL;
import java.awt.*;
import javax.swing.*;

/** 
 * Realizza il pannello che permettera' all'utente gestore di scegliere
 * le operazioni da fare sul data base: nuovo abbonato, uscita.
 * Crea e memorizza i due bottoni "cerca" e "nuovo"
 * (da aggiungere poi alla finestra in cui sara' messo il pannello).
 */
public class PannelloScelta extends JPanel
{
  // Elementi contenuti nel pannello

  /** Bottone per scegliere ricerca nel data base. */
  public JButton btCerca;
  /** Bottone per scegliere inserimento di un nuovo abbonato. */
  public JButton btNuovo;
    
  /** Crea pannello con un messaggio, e crea i due bottoni ma senza ancora
   * aggiungerli da nessuna parte. */
  public PannelloScelta()
  { 
    setLayout(new BorderLayout());
    JLabel lbBenvenuto = new JLabel("Benvenuto gestore del data base abbonati");
    Font f = lbBenvenuto.getFont();
    lbBenvenuto.setFont(new Font(f.getName(),Font.BOLD,f.getSize()+10));
    lbBenvenuto.setHorizontalAlignment(SwingConstants.CENTER); 
    lbBenvenuto.setBorder(BorderFactory.createLineBorder(Color.blue,3));
    Dimension d = lbBenvenuto.getPreferredSize();
    d = new Dimension(d.width+20,d.height+60);
    lbBenvenuto.setPreferredSize(d);
    add(lbBenvenuto,BorderLayout.CENTER);
    btCerca = new JButton("ricerca");
    btNuovo = new JButton("nuovo abbonato");
  }
}
