import java.net.URL;
import java.awt.*;
import javax.swing.*;

/** 
 * Sotto-classe di PannelloInfo, realizza il pannello che sara'
 * collocato al centro della finestra del criterio di ricerca,
 * e che serve a specificare il criterio di ricerca.
 * Lascia tutti i campi di testo editabili e i tre bottoni radio
 * selezionabili (senza renderli mutuamente esclusivi: posso 
 * selezionarne anche piu' di uno). 
 * Ha i bottoni aggiuntivi "cerca" e "azzera" (da aggiungere
 * poi alla finestra in cui sara' messo il pannello).
 */
public class PannelloCriterio extends PannelloInfo
{
  /** Bottone per avviare la ricerca col criterio corrente. */
  public JButton btCerca;
  /** Bottone per azzerare i campi del pannello. */
  public JButton btAzzera;
  
  // Costruttore
  
  /** Come nella super-classe ma crea i due bottoni cerca e azzera. */
  public PannelloCriterio()
  {
    super();
    
    btCerca = new JButton("cerca");
    btAzzera = new JButton("azzera");
  }
}

